%define name TeXmacs
%define version 1.0
%define release 1mdk

Summary: A wysiwyg mathematical text editor
Name: %{name}
Version: %{version}
Release: %{release}
# CAUTION: pristine source is actually tar.gzipped
Source0: ftp://ftp.texmacs.org/pub/TeXmacs/%{name}-%{version}-src.tar.bz2
Url: http://www.texmacs.org
License: GPL
Group: Editors
Requires: tetex guile
Obsoletes: TeXmacs-fonts
Provides: TeXmacs-fonts
Buildrequires: guile-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Source10:%{name}.16.png.bz2
Source11:%{name}.32.png.bz2
Source12:%{name}.48.png.bz2

%description
GNU TeXmacs is a free scientific text editor, which was both inspired by 
TeX and GNU Emacs. The editor allows you to write structured documents via 
a wysiwyg (what-you-see-is-what-you-get) and user friendly interface. New 
styles may be created by the user. The program implements high-quality 
typesetting algorithms and TeX fonts, which help you to produce professionally 
looking documents.

The high typesetting quality still goes through for automatically generated 
formulas, which makes TeXmacs suitable as an interface for computer algebra 
systems. TeXmacs also supports the Guile/Scheme extension language, so that 
you may customize the interface and write your own extensions to the editor.

TeXmacs currently runs on PC's and PPC's under Gnu/linux (a >200MHz processor 
and >32Mb of memory are recommended) and on sun computers. Converters exist 
for TeX/LaTeX and they are under development for Html/Mathml/Xml. In the 
future, TeXmacs is planned to evoluate towards a complete scientific office 
suite, with spreadsheet capacities, a technical drawing editor and a 
presentation mode.

%prep

%setup -q -n %{name}-%{version}-src


%build
OPTFLAGS="-O3 -fexpensive-optimizations -malign-loops=2 -malign-jumps=2 -malign-functions=2 -fno-exceptions -fno-rtti -fno-implicit-templates"

export CXXFLAGS="$OPTFLAGS"

%configure

%make CXXFLAGS="$OPTFLAGS" MIXED_TEXMACS


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs
chmod 644 $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs/ice-9/*
chmod 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs/ice-9


# icons
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="texmacs" \
needs="x11" \
icon="%{name}.png" \
section="Applications/Editors" \
title="TeXmacs editor" \
longtitle="A WYSIWIG scientific text editor"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/fig2ps
%{_bindir}/texmacs
%{_includedir}/TeXmacs.h
%{_mandir}/*/*
%{_libexecdir}/TeXmacs-%{version}
%{_datadir}/TeXmacs-%{version}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0

* Tue Mar 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.14-1mdk
- 0.3.5.14

* Fri Feb 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.13-1mdk
- 0.3.5.13

* Tue Feb 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.12-2mdk
- use TeXmacs authors compilation options

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.12-1mdk
- 0.3.5.12
- make MIXED_TEXMACS

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.11-2mdk
- updated desc.
- convert xpms to pngs

* Tue Dec 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.11-1mdk
- 0.3.5.11

* Fri Dec 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.10-1mdk
- 0.3.5.10

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.8-1mdk
- 0.3.5.8

* Fri Nov 23 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.7-1mdk
- 0.3.5.7

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.5-1mdk
- 0.3.5.5

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.3-1mdk
- 0.3.5.3

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.2-2mdk
- fixes from Thomas Leclerc <leclerc@linux-mandrake.com> :
	- remove BuildRequires: TeXmacs-fonts
	- Obsoletes: TeXmacs-fonts.
	Fonts are indeed generated at 1st start, and the font files of the package
	interfere with LaTeX if fonts were not previously built, or conflict with
	old files if they were.

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.2-1mdk
- 0.3.5.2

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.1-1mdk
- 0.3.5.1

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.0-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- First Mandrake build
	- specfile adapted from official one
